function S=gitinfo()
% FUNCTION fc_amat.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2018-2020 F. Cuvelier
%
  S=struct('name','fc-amat', 'tag','0.1.2','commit','957340f6e71d805dbd8b9d04c434b24fd3f92591','date', '2020-02-16','time','06-39-42','status',0);return; % automatically updated
  rep=fc_amat.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-amat','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
