function varargout=get_mesh2D(varargin)
  [Th,verbose]=fc_simesh.demos.setMesh2D(varargin{:});
  
  [q,me,toGlobal]=Th.get_mesh();
  [q2,me2,toGlobal2]=Th.get_mesh('labels',2:2:8);
  [q1,me1,toGlobal1]=Th.get_mesh('d',1,'labels',1:8);
  
  if verbose,fprintf('*** Check results\n');end
  res=0;
  E=norm(q(:,toGlobal2)-q2,Inf);
  res=res+(E >1e-15);
  if verbose, if (E >1e-15),fprintf('  Test 1: failed with E=%g\n',E);else fprintf('  Test 1: OK\n');end;end
  E=norm(q(:,toGlobal1)-q1,Inf);
  res=res+(E >1e-15);
  if verbose, if (E >1e-15),fprintf('  Test 2: failed with E=%g\n',E);else fprintf('  Test 2: OK\n');end;end
  if res>0,error('demo % failed',mfilename()');end
  if nargout==1,varargout{1}=Th;end
end
