function slicemesh3D(distribute)
  if nargin==0, distribute=true;end
  close all % :start:
  [q3,me3,toGlobal3]=fc_meshtools.simplicial.getMeshArrays('3D',3);
  [q1,me1,toGlobal1]=fc_meshtools.simplicial.getMeshArrays('3D',1);
  figure(1)
  P=fc_tools.graphics.PlaneCoefs([0 0 1],[1 0 0]);% ...
  fc_graphics4mesh.slicemesh(q3,me3,P,'DisplayName','slice1')
  hold on
  P=fc_tools.graphics.PlaneCoefs([0 0 1],[0 1 0]);% ...
  fc_graphics4mesh.slicemesh(q3,me3,P,'Color','DarkRed','DisplayName','slice2')
  P=fc_tools.graphics.PlaneCoefs([0 0 1],[0 0 1]);% ...
  fc_graphics4mesh.slicemesh(q3,me3,P,'Color','Olive','DisplayName','slice2')
  fc_graphics4mesh.plotmesh(q1,me1,'color','k', 'LineWidth',2)
  view(3);axis off; axis image  
  legend('show')
  figure(2)
  P=[fc_tools.graphics.PlaneCoefs([0 0 1/2],[1 0 0]); ...
     fc_tools.graphics.PlaneCoefs([0 0 1/2],[0 1 0]); ...
     fc_tools.graphics.PlaneCoefs([0 0 1/2],[0 -1 1])];
  fc_graphics4mesh.slicemesh(q3,me3,P, 'Color',{'Purple','DarkRed','Olive'}, 'DisplayName',{'slice1','slice2','slice3'})
  hold on
  fc_graphics4mesh.plotmesh(q1,me1,'color','k', 'LineWidth',2)
  view(3);axis off; axis image  
  legend('show')  % :end:
  if distribute,fc_tools.graphics.monitors.autoGrid();end
end
